Page MenuHomePhabricator

[S] Adding audio and video icons to search result design
Closed, ResolvedPublic

Description

In the audio and video tabs we want to make it very obvious what type of file it is to set the correct expectations. Adding icons in the timer/running time box seems like the least intrusive place to help with this distinction.

Audio example which is using a new audio icon that @mwilliams is working on adding to the icon library

Video example which is using the "Media Play" icon

Acceptance Criteria:
During development, please test the following:

  • Test this feature while logged in AND logged out
  • Test this feature on at least one mobile browser

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2020, 9:26 PM
mwilliams updated the task description. (Show Details)Jul 27 2020, 7:52 PM
mwilliams updated the task description. (Show Details)

Ticket working on getting the new audio icon added to the library: https://phabricator.wikimedia.org/T259906

Setting subtask per last comment.

Obviously not a priority right now but the new audio icon is now on production and this is ready to go.

CBogen renamed this task from Adding audio and video icons to search result design to [S] Adding audio and video icons to search result design.Oct 21 2020, 4:32 PM
AnneT claimed this task.Dec 3 2020, 10:58 PM

Change 645197 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Minor UI changes

https://gerrit.wikimedia.org/r/645197

Change 645197 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Minor UI changes

https://gerrit.wikimedia.org/r/645197

Etonkovidova added a subscriber: Etonkovidova.

Moving for @mwilliams quick review. If there would be no follow-ups, please move to Verify in Production after review.

commons wmf.22- no iconsbetalabs with icons

Questions:
(1) all labels for file types have either application or audio/video. The screenshot in the task description does not display such information. Is it necessary to display (looks kind of repetitive)?

(2) The contrast ration seems to be low.


(2) (minor) The Audio tab - there is some discrepancy between the filter file type label mp3 which will fetch all files with mp3 extension and the label that displays mpeg.

Etonkovidova updated the task description. (Show Details)Dec 19 2020, 1:32 AM

This looks good to me! I'll double check the contrast ratio and create a ticket if needed since that is separate from the icon issue.

Etonkovidova closed this task as Resolved.Thu, Jan 7, 1:57 AM

Checked on `commons wmf.25'. Filed T271373.